### Method

# Tracker SparqlCursor get_integer

#### Declaration [src]

    gint64
    tracker_sparql_cursor_get_integer (
      TrackerSparqlCursor* cursor,
      gint column
    )

#### Description [src]

Retrieve an integer for the current row in `column`.

If the row/column do not have an integer value, the result is undefined, see `tracker_sparql_cursor_get_value_type()`.

#### Parameters

`column`

  Type: `gint`

  Column number to retrieve (first one is 0)

#### Return value

Type: `gint64`

A 64-bit integer value.